GET /serviceengine/{uuid}/cpu/detail/
/serviceengine/{uuid}/cpu/detail/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"avg_dp_thread_usage": "number",
"cpu_utilization": "number",
"dispatcher_dp_cpu_utilization": "number",
"linux_cpu_utilization": "number",
"linux_dp_cpu_utilization": "number",
"proxy_dp_cpu_utilization": "number",
"real_dp_cpu_utilization": "number",
"system_cpu_utilization": "number",
"timestamp": "string"
}
Average CPU utilization due to the threads spawned by the datapath. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
CPU utilization value reported to controller. Field introduced in 17.2.10, 18.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Average CPU utilization due to dispatching (non-proxy) work. Field introduced in 18.2.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total CPU utilization of all process from linux. Field introduced in 17.2.10, 18.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
CPU utilization of se_dp process from linux. Field introduced in 17.2.10, 18.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Average CPU utilization due to proxy work. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
CPU utilization of se_dp process calculated in userspace. Field introduced in 17.2.10, 18.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Deprecated. Field introduced in 22.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Time at which CPU utilization is calculated. Field introduced in 17.2.10, 18.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/cpu/detail